webkit with gnome-2.24

Ken Moffat zarniwhoop at ntlworld.com
Wed Oct 15 08:31:59 PDT 2008


On Wed, Oct 15, 2008 at 11:22:56PM +1300, Simon Geard wrote:
> 
> Actually, you can build against Firefox3, it's just a bit more work.
> What you *can* do is use the Firefox sources to build and install the
> xulrunner application, which can be used to build yelp and epiphany. You
> can then build Firefox itself to use the system xulrunner instead of
> rebuilding it again.
> 
> I used the instructions given on this link to do it, basically the
> Slackware build scripts. One exception is that you don't actually need
> to download a separate xulrunner like they say - the Firefox sources
> will work just as well.
> 
> http://www.linuxquestions.org/questions/slackware-14/firefox-3.0-and-xulrunner-1.9-slackbuilds-652498/
> 
> Simon.

 I can remember reading some of that thread on linuxquestions
while I was trying to sort out my compile options.  I didn't know
that the firefox code can build xulrunner, and I still don't
understand that - in particular, where do you get the .pc files
which epiphany and yelp will look for ?

 Thanks for confirming the small text is a webkit issue.

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the blfs-support mailing list